property:
id:evalcount
name:Multiple evaluation
type:d 0 1000 0
help:~
If more than zero:
- each genotype will be evaluated many times
- fitness will be averaged
- fitness standard deviation will be stored in the 'user1' field of a genotype
- there will be no "Unchanged" genotypes ("Unchanged" value is considered zero).~
group:Evaluation

property:
id:evalplan
name:Evaluation plan
type:s 1 -1 :fit,fit_stdev,time
help:~
Genotypes can be evaluated by multiple simulator parameter files (*.sim). Results produced by each parameter file are saved in the selected Genotype.data key as a Dictionary.

Each line in this field defines a single configuration consisting of one *.sim filename followed by a colon and a list of associated performance criteria. Empty filename means that the evaluation will be performed using current simulator parameters, without importing any file that contains simulator parameters. Apart from performance criteria that exist in Genotype, there are three additional criteria names you can use: "fit" and "fit_stdev" are fitness average and standard deviation, and "time" is the real time used for evaluation of a given genotype.

Example (the first line of this sample plan contains an empty filename):

:velocity,fit
walking.sim:velocity,fit,fit_stdev,time
quicktest.sim:vertpos
roughterrain.sim:velocity,time
~
group:Evaluation

property:
id:evalsavedata
name:Save results to key in Genotype.data
type:s 0 -1 evaluation
help:Genotype.data dictionary key where performance results from each of the multiple parameter runs will be saved
group:Evaluation

property:
id:evalsavefile
name:Save results to file name
type:s 0 -1 genos_eval.json
help:File name (in "data/scripts_output" directory) where performance results from each of the multiple parameter runs will be saved
group:Evaluation
